FIX::FieldMap::finder Class Reference

## Public Member Functions

| finder (int tag)
bool | operator() (const FieldBase &field) const

## Private Attributes

int | m_tag

## Detailed Description

Definition at line 73 of file FieldMap.h.

## Constructor & Destructor Documentation

## finder()

FIX::FieldMap::finder::finder | ( | int | tag | ) |

inline explicit

Definition at line 76 of file FieldMap.h.

: m_tag( tag ) {}
FIX::FieldMap::finder::m_tag
int m_tag
Definition FieldMap.h:84

## Member Function Documentation

## operator()()

bool FIX::FieldMap::finder::operator() | ( | const FieldBase & | field | ) | const

inline

Definition at line 78 of file FieldMap.h.

{
return m_tag == field.getTag();
}

References FIX::FieldBase::getTag(), and m_tag.

## Member Data Documentation

## m_tag

int FIX::FieldMap::finder::m_tag

private

Definition at line 84 of file FieldMap.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- FieldMap.h